# GET Order

## Get order by ID

<mark style="color:green;">`GET`</mark> `/v1/api/accounts/{account}/orders/{orderId}`

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Path Parameters**

<table data-full-width="false"><thead><tr><th width="150">Name</th><th width="94">Type</th><th width="139">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>account</code></td><td>string</td><td><mark style="color:red;">Required</mark></td><td>Name of account in NT8</td></tr></tbody></table>

**Query Parameters**

<table data-full-width="false"><thead><tr><th width="150">Name</th><th width="94">Type</th><th width="139">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>orderId</code></td><td>string</td><td><mark style="color:red;">Required</mark></td><td>ID of the order in NT8</td></tr></tbody></table>

**Code Examples**

{% tabs %}
{% tab title="Python" %}

```python
import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/orders/492281fc515e431692da57d957cfebb6"
headers = {
    "Authorization": f"Bearer {token}",
    "Content-Type": "application/json"
}

try:
    response = requests.get(url, headers=headers)
    print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
    print(f"An error occurred: {e}")

```

{% endtab %}
{% endtabs %}

***

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "account": "Sim101",
    "orderId": "50cca7b8051146c684087db511107983",
    "instrument": "ES 12-25",
    "instrumentType": "Future",
    "orderType": "Market",
    "orderState": "CancelPending",
    "quantity": 1,
    "averageFillPrice": 0.0,
    "filled": 0,
    "fromEntrySignal": null,
    "gtd": "2099-12-01T00:00:00.0000000",
    "hasOverfill": false,
    "isBacktestOrder": false,
    "limitPrice": 0.0,
    "limitPriceChanged": 0.0,
    "ocoId": "",
    "orderAction": "Buy",
    "quantityChanged": 0,
    "stopPrice": 0.0,
    "stopPriceChanged": 0.0,
    "time": "2025-09-05T07:17:36.4864736",
    "epoch": 1725545856486,
    "timeInForce": "Day",
    "name": "",
    "isLimit": false,
    "isLiveUntilCancelled": false,
    "isLong": true,
    "isMarket": true,
    "isMarketIfTouched": false,
    "isShort": false,
    "isSimulatedStop": false,
    "isStopLimit": false,
    "isStopMarket": false,
    "isTrackingConfigured": false,
    "isTrackingEnabled": false,
    "userData": "<NinjaTrader />",
    "ownerStrategy": {
        "id": null,
        "name": null,
        "displayName": null
    },
    "success": true
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}

#### WebSocket API

This request can also be made over the WebSocket API. The `account` and `orderId` path parameters are passed inside `args`.

```json
{
  "action": "rpc",
  "id": "my-request-id",
  "api": "GetOrder",
  "args": {
    "account": "Sim101",
    "orderId": "492281fc515e431692da57d957cfebb6"
  }
}
```
